Subject: bug#6399: Confirm vc commits when the files do not match those marked in vc-dir

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Jun 2010 01:53:56 -0400

> I've made this mistake a few times now:

> 1) Mark say 5 files in vc-dir.

> 2) Press v to get a vc-log buffer.

> 3) Realize I should not have marked one of the 5 files, and unmark it
> in the vc-dir buffer.

> 4) Forget to kill the existing vc-log buffer, and so end up committing
> all 5 files anyway.

> I wish that at step 4 when I try to commit, Emacs would check if the
> files about to be commited match those marked in the vc-dir buffer,
> and if not ask me to confirm the commit.

Agreed.  That's what PCL-CVS does.  PCL-CVS goes one step further,
actually: if there's a discrepancy (and the user confirms that the
discrepancy is OK), it's the *cvs* (aka *vc-dir*) selection that takes
precedence over the list of files that was active when the vc-log buffer
was created.

        Stefan